Installer - Feature #36438

configure pulpcore-api with --max-requests to recycle workers before they leak too much memory

05/25/2023 09:44 AM - Evgeni Golov

Status: Closed

Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.7.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/289
Description

This will help to address https://bugzilla.redhat.com/show_bug.cqi?id=2122872

Gunicorn provides --max-requests and --max-requests-jitter settings which will restart the web worker process after handling some
number of requests. This will help to eliminate any memory leaks which may be present.

| advise to set

--max-requests 50 \
--max-requests-jitter 30 \

, which will restart workers after handling some random number of requests between 50 and 80.

Originally reported in https:/github.com/theforeman/puppet-pulpcore/issues/285

Associated revisions

Revision 5780e8a0 - 05/25/2023 10:53 AM - Evgeni Golov

Fixes #36438 - configure API request limit to avoid memory leaks

History

#1 - 05/25/2023 09:59 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/289 added

#2 - 05/25/2023 10:53 AM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#3 - 05/25/2023 11:01 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|5780e8a0ce1403cfe0f143ce0246cf69ef9e5f51.

#4 - 05/30/2023 01:59 PM - Evgeni Golov
- Fixed in Releases 3.7.0 added
- Fixed in Releases deleted (3.8.0)
